@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@isset($key)
    <div class="form-group">
        <label
            for="{{str_replace('.', '_', $key)}}"{{!isset($placeholder)?' class="sr-only"':null}}>{{isset($placeholder)?$placeholder:null}}</label>
        <input
            type="@isset($type){{$type}}@else{{'text'}}@endisset"
            id="{{str_replace('.', '_', $key)}}"
            name="{{ inputKeyToName($key) }}"
            placeholder="{{$placeholder ?? null}}"
            data-vv-as="{{$placeholder}}"
            class="form-control"
            :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
            value="{{ $value }}"
            @isset($validate)  v-validate="'{{ $validate }}'" @endisset
        @isset($attributes)
            @forelse($attributes as $attr_key => $attr_val)
                {!!  is_int($attr_key) ? $attr_val . " " : sprintf(' %s="%s"', $attr_key, $attr_val) !!}
                @empty
                @endforelse
            @endisset
        />
        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>
    </div>
@endisset
